# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/mtd/realtek,rtl9301-ecc.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Realtek SoCs NAND ECC engine

maintainers:
  - Markus Stockhausen <markus.stockhausen@gmx.de>

properties:
  compatible:
    const: realtek,rtl9301-ecc

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  interrupts:
    maxItems: 1

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    soc {
        #address-cells = <1>;
        #size-cells = <1>;

        ecc0: ecc@1a600 {
            compatible = "realtek,rtl9301-ecc";
            reg = <0x1a600 0x54>;
        };
    };
